From 5e27752629b2fd86a2a76924c08df6424330c822 Mon Sep 17 00:00:00 2001
From: Martin Pitt <martin.pitt@ubuntu.com>
Date: Thu, 8 Oct 2015 12:42:11 -0700
Subject: Drop API which does not exist any more in poppler 0.18.

Bug: https://launchpad.net/bugs/900707

Patch-Name: 02-poppler-0.18.diff
---
 poppler.defs | 52 ----------------------------------------------------
 1 file changed, 52 deletions(-)

diff --git a/poppler.defs b/poppler.defs
index 39e5e69..7d150a9 100644
--- a/poppler.defs
+++ b/poppler.defs
@@ -1646,58 +1646,6 @@
   (return-type "GType")
 )
 
-(define-method render_to_pixbuf
-  (of-object "PopplerPage")
-  (c-name "poppler_page_render_to_pixbuf")
-  (return-type "none")
-  (parameters
-    '("int" "src_x")
-    '("int" "src_y")
-    '("int" "src_width")
-    '("int" "src_height")
-    '("double" "scale")
-    '("int" "rotation")
-    '("GdkPixbuf*" "pixbuf")
-  )
-)
-
-(define-method render_to_pixbuf_for_printing
-  (of-object "PopplerPage")
-  (c-name "poppler_page_render_to_pixbuf_for_printing")
-  (return-type "none")
-  (parameters
-    '("int" "src_x")
-    '("int" "src_y")
-    '("int" "src_width")
-    '("int" "src_height")
-    '("double" "scale")
-    '("int" "rotation")
-    '("GdkPixbuf*" "pixbuf")
-  )
-)
-
-(define-method get_thumbnail_pixbuf
-  (of-object "PopplerPage")
-  (c-name "poppler_page_get_thumbnail_pixbuf")
-  (return-type "GdkPixbuf*")
-)
-
-(define-method render_selection_to_pixbuf
-  (of-object "PopplerPage")
-  (c-name "poppler_page_render_selection_to_pixbuf")
-  (return-type "none")
-  (parameters
-    '("gdouble" "scale")
-    '("int" "rotation")
-    '("GdkPixbuf*" "pixbuf")
-    '("PopplerRectangle*" "selection")
-    '("PopplerRectangle*" "old_selection")
-    '("PopplerSelectionStyle" "style")
-    '("GdkColor*" "glyph_color")
-    '("GdkColor*" "background_color")
-  )
-)
-
 (define-method render
   (of-object "PopplerPage")
   (c-name "poppler_page_render")
